Subject: Re: [PATCH v4 1/7] git: add `deprecated` category to --list-cmds

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 10 Sep 2025 13:41:20 +0200

On Tue, Sep 09, 2025 at 02:44:21PM -0700, Junio C Hamano wrote:
> [email-masked] writes:
> 
> >     Incorporate Patrick’s suggestions about the for-loop refactor and
> >     formatting the overlong lines.  Now drop the function doc since it
> >     doesn’t apply anymore.
> 
> So, if "include" is specified, a command that does not match any of
> criteria given by those flags is not included, and if "exclude" is
> specified, a command that matches any of the criteria given is not
> included.  Which probably makes sense.  The only user of "include"
> uses the DEPRECATED flag bit without any exclude option, so it is
> yet to be seen which one between the previous and the current design
> gives an easier-to-use behaviour, but I have no objection to the
> updated design presented here.
> 
> Nicely done.
> 
> Will replace.  I guess we can mark this round as ready for 'next'?

I guess so. All my review feedback was addressed, so I don't have
anything else to add. Thanks!

Patrick